Get all organizations
Get information about all organizations.
Authorization
auth ApiKey AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
In: header
X-API-KEY<token>
Internal API key for admin endpoints. Example: "X-API-KEY: {key}"
In: header
Query Parameters
sort_by?string
Sort by field name (optional). Supported fields: "name", "displayName"
name?string
Organization name used for filtering. Optional filter operators can be applied to refine the search:
- equal (default)
- contains
- startswith
- endswith
displayName?string
Organization display name used for filtering. Optional filter operators can be applied to refine the search:
- equal (default)
- contains
- startswith
- endswith
AllowedOrganizationIds?array<>
page?integer
Page number (1-based). Default is 1.
Format
int32Range
1 <= value <= 2147483647page_size?integer
Number of items per page. Default is 10. Maximum is 50.
Format
int32Range
1 <= value <= 50sort_direction?string
Sort direction: "asc" or "desc". Default is "asc" (optional)
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/organizations"{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "displayName": "string", "description": "string", "isDefault": true, "themeId": "53fe7fb9-b3ba-4541-bf79-a49c12f44b76" } ], "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}